#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../../..
JSON=$$.json
NAME=dsa$$
HOST=$(hostname)
PORT=60000
bash "$MYPATH"/user.temp "$NAME" "$HOST" "$PORT" > "$JSON"
EXIST=$(bash dsas/create.sh "$JSON")
EXIST=$(bash dsas/exist.sh "$NAME"); STATUS=$?
if [[ "$STATUS" -ne 0 ]] ; then
    >&2 echo "DSA $NAME creation failed, tests stopped"
    exit 1
else
    >&2 echo "DSA $NAME created"
    echo "$EXIST" |
        ./jq '{ "name": .name, "status": .status, "console-port": .config.knowledge[0]."console-port" }'
fi
bash dsas/status/stop.sh "$NAME"
bash dsas/ldif/load.sh "$NAME" "${MYPATH}/user.ldif"
#
## ldif
#
rm -f "$NAME.ldif"
bash dsas/ldif/download.sh "$NAME" "" ldif
if [ ! -f "$NAME.ldif" ] ; then
    >&2 echo $NAME.ldif download failed, tests stopped
    exit 1
fi
ls -l "$NAME.ldif"
rm -f "$NAME.ldif"
#
## gzip
#
rm -f "$NAME.ldif.gz"
bash dsas/ldif/download.sh "$NAME" "" gzip
if [ ! -f "$NAME.ldif.gz" ] ; then
    >&2 echo $NAME.ldif.gz download failed, tests stopped
    exit 1
fi
ls -l "$NAME.ldif.gz"
file "$NAME.ldif.gz"
bash dsas/ldif/load.sh "$NAME" "$NAME.ldif.gz" gzip
rm -f "$NAME.ldif.gz"
#
## bzip2
#
rm -f "$NAME.ldif.bz2"
bash dsas/ldif/download.sh "$NAME" "" bzip2
if [ ! -f "$NAME.ldif.bz2" ] ; then
    >&2 echo $NAME.ldif.bz2 download failed, tests stopped
    exit 1
fi
ls -l "$NAME.ldif.bz2"
file "$NAME.ldif.bz2"
bash dsas/ldif/load.sh "$NAME" "$NAME.ldif.bz2" bzip2
rm -f "$NAME.ldif.bz2"
#
## clean up
#
export OPT=-i
bash dsas/delete.sh "$NAME" delete_db_all
export OPT=
