#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
. "$MYPATH/env.shlib"
cd ../..

#
## delete a DSA
#
deleteDSA() {
   local _name=$1
   local _exist
   local _status

   _exist=$(bash dsas/exist.sh "$_name" "name,status"); _status=$?
   if [ "$_status" -ne 0 ] ; then
      >&2 echo "DSA $_name does not exist, skipped"
   else
      >&2 echo "Removing DSA $_name ..."
      bash dsas/status/stop.sh "$_name"
      bash dsas/delete.sh "$_name" delete_db_all
   fi
   }

deleteDSA "$PSDSA"
deleteDSA "$SSDSA"
deleteDSA "$USDSA"

#
## delete a schema
#
deleteSchema() {
   local _name=$1
   local _exist
   local _status

   _exist=$(bash schemas/exist.sh "$_name" "name,readOnly"); _status=$?
#   bash schemas/exist.sh "$_name" "name" does not work as expected
   if [ "$_status" -ne 0 ] ; then
      >&2 echo "schema $_name does not exist, skipped"
   else
      >&2 echo "Removing schema $_name ..."
      bash schemas/delete.sh "$_name"
   fi
   }

deleteSchema e1.dxc "${MYPATH}/etrust.dxc"
deleteSchema n1.dxc "${MYPATH}/netegrity.dxc"
