#!/bin/bash
ClientName=$1
if [ -z "$DXHOME" ] ; then
   >&2 echo "Required environment variable DXHOME is not set, existing ..."
   exit 1
fi
if [ ! -f jq ] ; then
   JQPATH=$(which jq)
   if [ -z "$JQPATH" ] ; then
      >&2 echo "downloading jq"
      curl -o jq -L https://github.com/stedolan/jq/releases/download/jq-1.6/jq-linux64
      chmod +x jq
   else
      ln -s "$JQPATH"
   fi
fi
if [ ! -f authn ] ; then
   >&2 echo "setting up authn and cert"
   cp authn.sample authn
   bash utils/getcert.sh "$ClientName"
fi
